/*FONTSSSSS*/

@font-face {
    font-family: Blog-font;
    src: url(PatrickHand-Regular.woff);
}

@font-face {
    font-family: nav-gen-font;
    src: url(amatic-sc.bold.woff);
}



html,
body {
    min-height: 100vh;
    margin: 0 auto;
    padding: 0 auto;
scroll-behavior: smooth;
}

body {
    background: linear-gradient(to bottom,#144a4d,#144a4d, #000000 );
    
  /*background:#e9ffe9;
  background: linear-gradient(to bottom, #bae2ba, #3775ba);*/
}

.page-container {
    width: 100%;
    min-height: 100vh;
   
    /*background: linear-gradient(to bottom, #bae2ba, #3775ba);*/
    background-size: cover;
    background-repeat: no-repeat;
    isolation: isolate;
}

li {
    display: inline-block;
    vertical-align: middle;
}

a{
    text-decoration: none;
    color: #d6faf5;
    transition: 0.3s;
}
a:hover, li a:hover {
    color: #146459;
}

h5{
    margin-bottom: 0;
}


/*GENERAL WRAPPERS*/

.wrapper-gen {
    width: 50vw;
    min-width: 200px;
    min-height: 50vh;
    padding-top: 17px;
    padding-bottom: 200px;
    padding-left: 27%;
    padding-right: 5%;
    z-index: 2;
    margin: auto;
}
.wrapper-gen-about {
    width: 50vw;
    min-width: 200px;
    min-height: 50vh;
    padding-top: 0;
    padding-bottom: 200px;
    padding:auto;
    z-index: 1;
    margin: auto;
}

.titles {
    line-height: 1;
    text-align: center;
    font-size: 92px;
    margin: auto;
    margin-bottom: 0;
    margin-top: 0;
    font-family: nav-gen-font;
    color: #8cba8c;
    width: fit-content;
    padding: 20px;
    filter: drop-shadow(4px 4px #307158);
}

footer {
    /*background-color: #9dcad3;*/
    background-color: #144a4d;
    margin: 0;
    position: absolute;
    width: 100%;
    z-index: 5;
}

.footertext, .footertext a{
    text-align: center;
    font-family: "Blog-font";
    font-size: 15px;
    color: #ffffff;
    letter-spacing: 0.1em;
    line-height: 0.1;
    margin:0;
}
.footertext a:hover{
    color: #268c7e;
transition: 0.4s;
}


/*NAV*/

.open-nav,
.nav-close {
    display: none;
}

.logo-gen {
    height: 5vw;
    transition: 0.5s;
    filter: drop-shadow(0 0 3px #51595a);
    margin:
}

.logo-gen:hover {
    transform: scale(1.1);
    filter: brightness(0.99) drop-shadow(0 0 3px #6da2a6);
}

.nav-gen {
    width: 100%;
    position: sticky;
    margin:auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 97;
    font-size: 2.5vw;
    top: 0;
    left: 0;
    background-color: #144a4d;
}
.description-item{
    font-size: 2.5vw;
}
.nav-gen a, .description-item {
   text-transform: uppercase;
    color: #ffffff;
    font-family: "nav-gen-font";
    
    position: relative;
    z-index: 98;
}

.nav-close.green, 
.nav-gen .active {
    color: #20a594;
}



.nav-left,
.nav-right {
    display: flex;
    margin: 8px;
    padding: 0;
    gap: 14px;
    justify-content: end;
}

#nav-gen-open {
    animation: nav-open .5s ease-in-out forwards;
    color: #ffffff;
}

@keyframes nav-open {
    0% {
        transform: translateY(-100%);
    }
    100% {
        transform: translateY(0%);
    }
}


/*INTRO ANIMATIONS*/

.wrapper {
    width: 100vw;
    position: fixed;
}

#WelcomeTo {
    position: fixed;
    display: flex;
    inset: 0;
    background: black;
    color: white;
    text-align: center;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    z-index: 9999;
    font-family: Arial;
    animation: introFade 2s ease forwards 3.4s;
}

@keyframes introFade {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        pointer-events: none;
    }
}


/*HOME*/

.logoHome {
    width: 6vw;
    min-width: 58px;
    position: fixed;
    padding: 5px;
    margin: 1.5%;
    z-index: 99;
    transition: 0.5s;
    filter: drop-shadow(4px 5px 1px rgba(0, 0, 0, 0.37)) drop-shadow(0 0 5px #178370);
}

.logoHome:hover {
    transform: scale(1.1);
    filter: brightness(0.99) drop-shadow(4px 5px rgba(0, 0, 0, 0.37)) drop-shadow(0 0 5px #0f6e5d);
}

/*.monitowrap {
    width: 100vw;
    
    display: flex;
    justify-content: right;
    align-items: right;
   
    
    animation:
        rise 1.4s ease-out forwards calc(var(--base-delay) + var(--delay)),
        hover 2s ease-in-out infinite alternate calc(var(--base-delay) + var(--delay) + 1.4s);
}*/
.monitowrap {
    
position:fixed;
    display: flex;
    justify-content: flex-end;
    bottom: -50vh;
    right: 2%;
    
}
@keyframes rise-monito {
    0% {
        transform: translateY(0) scale(1);
        opacity: 1;
    }
    100% {
        transform: translateY(calc(-1 * var(--rise-height))) scale(1);
        opacity: 1;
    }
}

.monitowrap a img {
   width: 40vw;
    min-width: 450px;
    display: block;
    filter: drop-shadow(0 0 3px #144a4d) brightness(1.1);
    
    --rise-height: 50svh;
    --base-delay: 0s;
    --delay: 1.3s;
    
    animation:
        rise-monito 1.4s ease-out forwards var(--base-delay),
        hover 2s ease-in-out infinite alternate
        calc(var(--base-delay) + 1.4s);
}

.monitohover {
    transition: filter 0.3s, transform 0.3s;
}


.monitohover:hover {
    cursor: pointer;
    filter: brightness(1.2) drop-shadow(0 0 3px #e0ffe3) drop-shadow(0 0 5px #c4ffc1);
    transform: scale(1.03);
}

.Titles {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-top: 3%;
}

#ThatBirbs {
    width: 30%;
    margin-bottom: 2%;
    filter: drop-shadow(4px 5px rgba(0, 0, 0, 0.37));
}

#Portfolio {
    width: 101%;
    filter: drop-shadow(8px 10px rgba(0, 0, 0, 0.37));
}

@keyframes entrance-monito {
    0% {
        transform: translateY(120%);
    }
    100% {
        transform: translateY(10%);
    }
}


/*FLOATING ICONS*/

.iconsLeft {
    position: fixed;
    display: flex;
    bottom: -40vh;
    left: 20%;
    transform: translateX(-27%);
    justify-content: flex-start;
    gap: 7vw;
}

.iconsRight {
    position: fixed;
    display: flex;
    bottom: -40vh;
    right: 76%;
    transform: translateX(68%);
    justify-content: flex-end;
    gap: 8vw;
}

.iconsRight a,
.iconsLeft a {
    pointer-events: auto;
}

.floating-icons {
    width: 17vw;
    min-width: 250px;
    pointer-events: auto;
    filter: drop-shadow(5px 6px rgba(0, 0, 0, 0.37));
    --base-delay: 2.8s;
    animation:
        rise 1.4s ease-out forwards calc(var(--base-delay) + var(--delay)),
        hover 2s ease-in-out infinite alternate calc(var(--base-delay) + var(--delay) + 1.4s);
}

.iconshover {
    transition: filter 0.3s, transform 0.3s;
    
}

.iconshover:hover , .floating-icons:hover {
    cursor: pointer;
    filter: brightness(1.2) drop-shadow(5px 6px rgba(0, 0, 0, 0.37)) drop-shadow(0 0 3px #e0ffe3) drop-shadow(0 0 5px #c4ffc1);
    transform: scale(2);
}

.iconIlu {
    --delay: 1.3s;
    --rise-height: 50vh;
}

.iconSewing {
    --delay: 1.5s;
    --rise-height: 76vh;
}

.iconCoding {
    --delay: 1.7s;
    --rise-height: 93vh;
}

.icon3d {
    --delay: 1.8s;
    --rise-height: 41vh;
}

@keyframes rise {
    0% {
        transform: translateY(0) scale(0.5);
        opacity: 1;
    }
    100% {
        transform: translateY(calc(-1 * var(--rise-height))) scale(1);
        opacity: 1;
    }
}

@keyframes hover {
    0% {
        transform: translateY(calc(-1 * var(--rise-height))) translateY(0);
    }
    50% {
        transform: translateY(calc(-1 * var(--rise-height))) translateY(-10px);
    }
    100% {
        transform: translateY(calc(-1 * var(--rise-height))) translateY(0);
    }
}


/*LIGHTBOX*/

.lightboxes {
    position: absolute;
}

.lightbox {
    position: fixed;
    display: none;
    background: rgba(0, 0, 0, 0.8);
    z-index: 1000;
}

.lightbox:target {
    display: flex;
    align-items: center;
    bottom: 0;
    justify-content: center;
    left: 0;
    right: 0;
    top: 0;
}

.lightbox img {
    display: block;
    max-height: 80vh;
    max-width: 90vh;
    border-radius: 1em;
    margin: auto;
}

.lightbox .close {
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 1001;
}

.lightbox2 p,
.lightbox2 a,
.lightbox p,
.lightbox a {
    font-size: 3vw;
    font-weight: 200;
    color: #ffffff;
    font-family: nav-gen-font;
    hyphens: auto;
}

.content {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 8%;
    margin: 5%;
    justify-content:cender;
    align-items:center;
}

.lightbox2 {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: none;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 1000;
}

.lightbox2:target {
    display: flex;
    align-items: center;
    bottom: 0;
    justify-content: center;
    left: 0;
    right: 0;
    top: 0;
}



.lightbox2 img, .Vid2{
    display: block;
    max-width:32vw;
height: auto;
}

.lightbox2 .close {
    font-size: 8em;
    top: 0;
    left: 0;
    margin: 20px;
    position: fixed;
    z-index: 1001;
    color: white;
}

.content-scroll {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90vw;
    height: 90vh;
    overflow-y: scroll;
    background-color: rgba(0, 0, 0, 0.8);
    padding: 20px;
    border: 1px solid #000;
}

.section a {
    color: #f2f277;
}

.section {
    margin: 50px 6%;
    display: flex;
    flex-wrap: wrap;
    column-gap: 5%;
    align-items: center;
    justify-content: space-between;
}

.descriptions{
    max-width: 40vw;
}

.Vid, .game{
    width: 40vw;
    margin-top: 10px;
    height: 30vw;
    margin-left:10%;
    margin-right:10%;
}


/*PAGES (ABOUT, BLOG, SEWING)*/

/* ABOUT*/
.about-sections {
    margin: 0;
    padding: 0;
    gap: 1%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-family: Arial, Helvetica, sans-serif;
    font-size: larger;
    word-spacing: -2px;
    hyphens: auto;
    text-align: justify;
    color: #8cba8c;
}

.about-sections img, 
.about-texts {
    font-weight: 500;
    max-width: 50%;
    height: fit-content;
}

.about-sections .birdbrain {
    filter: brightness(1.2);
}

.about-texts {
    padding: 0 11px;
    background-color: #144a4d;
    border: dashed;
    border-radius: 20px;
}

/* BLOG */
.blog-texts {
    max-width: 100%;
    min-width: 200px;
    margin: auto;
    margin-top: 38px;
    font-family: Blog-font;
    color: #000000;
    filter: drop-shadow(8px 6px 1px rgba(0, 0, 0, 0.29));
}

.blog-texts p {
    max-width: 100%;
    min-width: 200px;
    margin: auto;
    text-align: justify;
    margin-top: 20px;
    font-size: 19px;
    hyphens: auto;
}

.blog-sections {
    margin-top: 49px;
    background-color: rgb(227, 245, 207);
    padding: 29px;
    border-radius: 50px;
}

h2 {
    text-align-last: center;
    margin: 0;
}

.time {
    text-align: center;
    font-size: 20px;
}

/* SEWING*/
.Monito-companion img {
    height: auto;
    position: fixed;
    bottom: 10%;
    left: 5%;
    object-fit: contain;

}

.paper {
    width: clamp(200px, 27%, 420px);
    z-index: 3;
    filter: drop-shadow(8px -2px rgba(0, 0, 0, 0.29));
}

.companion {
    width: clamp(180px, 25%, 500px);
    z-index: 4;
    filter: drop-shadow(0 0 3px #144a4d) brightness(1.1);
    /*filter: drop-shadow(6px 4px 0.5px rgba(0, 0, 0, 0.29)) brightness(1.3);*/
   /*filter: drop-shadow(1.5px 0 0 white) 
  drop-shadow(0 1.5px 0 white)
  drop-shadow(-1.5px 0 0 white) 
  drop-shadow(0 -1.5px 0 white);*/

}

#easteregg{
  position: absolute;
  image-rendering: pixelated;
  transform: scale(0.6);
    translate: 25vw 5vh;
    
}
#easteregg2{
  position: absolute;
  image-rendering: pixelated;
  transform: scale(0.4);
    translate: 34vw -3vh;
}


.bushes{
    z-index: -1;
}
#BushLeft {
    z-index: -1;
    position: fixed;
    bottom: -7%;
    left: -6%;
    width: 35%;
    animation: slide-clouds 12s ease-in-out infinite;
}

#BushRight {
    z-index: -1;
    position: fixed;
    bottom: -10%;
    right: -10%;
    width: 35%;
    animation: slide-clouds 16s ease-in-out infinite;
}



/* side-to-side movement */
@keyframes slide-clouds {
    0% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(3%);
    }
    100% {
        transform: translateX(0);
    }
}

.button {
    background-color: #83c083;
    border-radius: 16px;
    border: none;
    color: white;
    padding: 5px 21px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 33px;
    margin: 15px 2px;
    cursor: pointer;
    transition: 0.5s;
}

.socials {
    margin: 0;
    padding: 0;
}

.contact-text {
    color: #ffffff;
    font-size: 50px;
    width: 34vw;
    font-family: nav-gen-font;
}

.contact img {
    height: auto;
    position: fixed;
    bottom: 0;
    left: 0;
    object-fit: contain;
}

.contact-image {
    width: clamp(270px, 35%, 600px);
    z-index: 2;
    filter:  drop-shadow(0 0 3px #144a4d) brightness(1.25);
}


/*Gallery*/

.row {
    z-index:2;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.column {
    -ms-flex: 25%;
    flex: 25%;
    padding: 0 4px;
}

.column img {
    width: 100%;
    margin-top: 8px;
    vertical-align: middle;
    transition: transform 0.3s;
}

.column img:hover {
    transform: scale(1.05);
    box-shadow: 0 0 8px #071e07;
}


/*RESPONSIVE*/

/* MID SCREEN BREAKPOINT */
@media screen and (max-width: 850px) {
    .logoHome {
        min-width: 13vw;
    }
    
    
    .column {
        max-width: 50%;
        -ms-flex: 50%;
        flex: 32%;
    }
    .wrapper-gen , .wrapper-gen-about {
        width: 70vw;
    }
    .nav-gen {
        font-size: 3vw;
    }
    .content {
        display: block;
    }
    .lightbox p {
        text-align: center;
    }
    .Vid , .game{
        width: 55vw;
        height:45vw;
    }
    
   
   
  
    .lightbox2 p,
    .lightbox2 a,
    .lightbox p,
    .lightbox a {
        font-size: 3vw;
    }
    .lightbox2 .close {
        font-size: 8em;
        margin: 0;
    }
    .description-item{
    font-size: 4vw;
}
}

/* SMARTPHONE BREAKPOINT */
@media screen and (max-width: 600px) {
    .companion {
   display:none;
}
.monitowrap a img {
         --rise-height: 48svh;
    width: 20vw;
    min-width: 317px;
    }
    .monitowrap a img {
  
    display: block;
    filter: drop-shadow(0 0 3px #144a4d) brightness(1.1);
    
 
    --base-delay: 0s;
    --delay: 1.3s;
    
    animation:
        rise-monito 1.4s ease-out forwards var(--base-delay),
        hover 2s ease-in-out infinite alternate
        calc(var(--base-delay) + 1.4s);
}
    .iconsLeft {
        bottom: -14vh;
        left: 20%;
        transform: translateX(-15%);
    }
    .iconsRight {
        bottom: -27vh;
        right: 20%;
        
        transform: translateX(12%);
    }
    .floating-icons {
        width: 38vw;
        min-width: 128px;
    }
    .icon3d {
    --rise-height: 69vh;
}
    .iconIlu {
   
    --rise-height: 58vh;
}
    .column {
        max-width: 100%;
        -ms-flex: 100%;
        flex: 100%;
    }
    .lightbox img {
        max-width: 90vw;
    }
    .content {
        margin: 5%;
    }
    .wrapper-gen {
        width: 88vw;
        padding: 3%;
        padding-top: 24%;
        padding-bottom: 254px;
    }
    .wrapper-gen-about {
        width: 88vw;
        padding: 3%;
        padding-top: 24%;
        padding-bottom: 254px;
    }
    .logo-gen {
        width: 17vw;
        height: auto;
        top: 0;
        right: 0;
        margin-right: 20%;
        margin-bottom: 5%;
    }
    li {
        display: list-item;
        list-style: none;
    }
    a {
        text-decoration: none;
    }
    #nav-gen-open a {
        transition: 0.5s;
    }
    .nav-left,
    .nav-right,
    .logo-gen,
    .nav-close {
        display: block;
        justify-content: left;
    }
    .nav-gen {
        display: none;
        background-color: #256569;
    }
    .nav-gen:target {
        width: 100vw;
        position: fixed;
        display: inline-block;
        padding: 10%;
        font-size: 8vw;
    }
    .open-nav {
        z-index: 3;
        position: fixed;
        display: block;
        background-color: #256569;
        padding: 5%;
        width: 100vw;
        filter: drop-shadow(0 3px 2px rgba(0, 0, 0, 0.29));
    }
    .open-nav img {
        transition: 0.5s;
    }
    .open-nav img:hover {
        transform: scale(1.2);
    }
    .titles {
        margin-bottom: 0;
        font-size: 60px;
    }
    .Vid, .game{
        width: 75vw;
        height:fit-content;
    }
     .descriptions {
        max-width: 80vw;
        font-size: 35px;
    }
    .lightbox2 p,
    .lightbox2 a,
    .lightbox p,
    .lightbox a {
        font-size: 5vw;
    }
    .lightbox2 .close {
        font-size: 4em;
    }
     .lightbox2 img, .Vid2{
    max-width:78vw;
}
    .blog-texts {
        margin-top: 38px;
        font-size: 21px;
    }
    .blog-sections {
        margin-top: 12px;
        padding: 19px;
        border-radius: 50px;
    }
    .button {
        border-radius: 13px;
        font-size: 25px;
        margin: 6px 2px;
    }
    .contact-text {
        font-size: 30px;
        width: 91vw;
    }
    .contact-text p {
        margin: 9px 0;
    }
    .contact img {
    height: auto;
    position: fixed;
    bottom: 0;
    right: 0;
    left:20%;
}
   .about-sections {
    font-size: 13px;
}


}